# Copyright (C) 2020 CS GROUP - France. All Rights Reserved.
# Author: Antoine Luong <antoine.luong@c-s.fr>
#
# This file is part of the Vigilo GUI program.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

from __future__ import absolute_import, division, print_function, unicode_literals

import pkg_resources

from prewikka import hookmanager, resource, template, view
from vigilogui import version


# FIXME: this really is a plugin and not a view. See #781

class Warning(view.View):
    plugin_name = "Warning: Vigilo"
    plugin_author = version.__author__
    plugin_license = version.__license__
    plugin_version = version.__version__
    plugin_copyright = version.__copyright__
    plugin_description = N_("Vigilo Warning message")
    plugin_require = ["prewikka.plugins.warning:Warning"]
    plugin_htdocs = (("warning", pkg_resources.resource_filename(__name__, 'htdocs')),)

    _template = template.PrewikkaTemplate(__name__, "templates/warning.mak")

    @hookmanager.register("HOOK_WARNING_CONTENT")
    def _warning_content(self):
        return [resource.HTMLSource(self._template.render())]
