<%!
    from prewikka import localization
    statuses = env.dataprovider.get_path_info("alarm.acknowledgment").value_accept
%>

<div class="container">
  <div class="widget ui-front" role="dialog" aria-labelledby="dialogLabel" aria-hidden="true" data-backdrop="false" data-draggable="true" data-widget-options="modal-lg">

    <script type="text/javascript">
      prewikka_grid("table.history", {
          datatype: "json",
          url: "${url_for('AlarmDetail.history', alarmid=alarm['alarmid'])}",
          cmTemplate: {sortable: false, title: false},
          colModel: [
              {name: "date", label: "${_('Date')}", width: 10},
              {name: "user", label: "${_('User')}", width: 5},
              {name: "type", label: "${_('Type')}", width: 10},
              {name: "value", label: "${_('Value')}", width: 10},
              {name: "message", label: "${_('Message')}", width: 20}
          ],
          rowNum: 10,
          pager: true,
          viewrecords: true
      });
      prewikka_grid("table.masked_events", {
          datatype: "json",
          url: "${url_for('AlarmDetail.masked_events', alarmid=alarm['alarmid'])}",
          cmTemplate: {title: false},
          colModel: [
              {name: "date", label: "${_('Date')}", width: 10},
              {name: "state", label: "${_('State')}", width: 5},
              {name: "host", label: "${_('Host')}", width: 10},
              {name: "service", label: "${_('Service')}", width: 10},
              {name: "message", label: "${_('Message')}", width: 20}
          ],
          rowNum: 10,
          pager: true,
          viewrecords: true
      });
    </script>

    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
      <h5 class="modal-title" id="dialogLabel">${ _("Alarm details") }</h5>
    </div>

    <div class="modal-body">

      <div class="panel panel-theme">
        <div class="panel-heading">
          <h3 class="panel-title">${_("Alarm")}</h3>
        </div>
        <div class="panel-body">
          <table class="table table-striped table-bordered">
            <tr>
              <th>${_("First occurrence")}</th>
              <th>${_("Last occurrence")}</th>
              <th>${_("Initial state")}</th>
              <th>${_("Worst state")}</th>
              <th>${_("Current state")}</th>
            </tr>
            <tr>
              <td>${localization.format_datetime(alarm['first_occurrence'])}</td>
              <td>${localization.format_datetime(alarm['last_occurrence'])}</td>
              <td>${alarm['initial_state.name']}</td>
              <td>${alarm['peak_state.name']}</td>
              <td>${alarm['current_state.name']}</td>
            </tr>
          </table>
          <table class="table table-striped table-bordered">
            <tr>
              <th>${_("Host")}</th>
              <th>${_("Service")}</th>
              <th>${_("Impact")}</th>
              <th>${_("Priority")}</th>
              <th>${_("Occurrences")}</th>
            </tr>
            <tr>
              <td>${alarm['cause.host.name']} (${alarm['cause.host.address']})</td>
              <td>${alarm['cause.service']}</td>
              <td>${", ".join(alarm['impact.service.name'])}</td>
              <td>${alarm['priority']}</td>
              <td>${alarm['occurrences']}</td>
            </tr>
          </table>
          <table class="table table-striped table-bordered">
            <tr>
              <th>${_("Message")}</th>
              <th>${_("Acknowledgment")}</th>
            </tr>
            <tr>
              <td>${alarm['message']}</td>
              <td>${_(statuses[alarm['acknowledgment']].label)}</td>
            </tr>
          </table>
        </div>
      </div>

      <div class="panel panel-theme">
        <div class="panel-heading">
          <h3 class="panel-title">${_("History")}</h3>
        </div>
        <div class="panel-body">
          <table class="table table-striped history"></table>
        </div>
      </div>

      <div class="panel panel-theme">
        <div class="panel-heading">
          <h3 class="panel-title">${_("Masked events")}</h3>
        </div>
        <div class="panel-body">
          <table class="table table-striped masked_events"></table>
        </div>
      </div>

    </div>

    <div class="modal-footer">
      % if history_url:
      <a href="${history_url}" class="btn btn-default" aria-hidden="true" data-dismiss="modal">${_("Related alarms")}</a>
      % endif
      <button class="btn btn-default widget-only" aria-hidden="true" data-dismiss="modal">${_("Close")}</button>
    </div>

  </div>
</div>
